<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

### Table of Contents

-   [Copyright_Notice][1]
-   [objectHovered][2]
    -   [Properties][3]
-   [objectHighlighted][4]
    -   [Properties][5]
-   [viewChanged][6]
    -   [Properties][7]
-   [nodeContextSizeChanged][8]
    -   [Properties][9]
-   [matchesFound][10]
    -   [Properties][11]
-   [viewUpdated][12]
-   [constructor][13]
    -   [Parameters][14]
-   [getStyles][15]
-   [updateStyles][16]
    -   [Parameters][17]
-   [updateDefinitions][18]
    -   [Parameters][19]
-   [updateData][20]
    -   [Parameters][21]
-   [setHighlightedNode][22]
    -   [Parameters][23]
-   [setHighlightedConnection][24]
    -   [Parameters][25]
-   [findNodes][26]
    -   [Parameters][27]
-   [setView][28]
    -   [Parameters][29]
-   [setModes][30]
    -   [Parameters][31]
-   [zoomOutViewLevel][32]
-   [getNode][33]
    -   [Parameters][34]
-   [setFilters][35]
    -   [Parameters][36]

## Copyright_Notice

Copyright 2016 Netflix, Inc.

    Licensed under the Apache License, Version 2.0 (the "License");
    you may not use this file except in compliance with the License.
    You may obtain a copy of the License at

        http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing, software
    distributed under the License is distributed on an "AS IS" BASIS,
    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
    See the License for the specific language governing permissions and
    limitations under the License.

## objectHovered

The `objectHovered` event is fired whenever on mouseover on a 'node' or 'connection' .
`object.type` will be either 'node' or 'connection'. In case another 'node' or 'connection'
 is already in focus (because of click/highlight event), then this event won't be triggered.

### Properties

-   `object` **[object][37]** The object that has been hovered,

## objectHighlighted

The `objectHighlighted` event is fired whenever an object is highlighted.
`object.type` will be either 'node' or 'connection'

### Properties

-   `object` **[object][37]** The object that has been highlighted, or the highlighted object that has been updated.

## viewChanged

The `viewChanged` event is fired whenever the view changes

### Properties

-   `view` **[array][38]** The currently selected view (e.g. \[] for global, ['us-east-1'] for one node deep, ['us-east-1', 'api'] for two nodes deep)

## nodeContextSizeChanged

The `nodeContextSizeChanged` event is fired whenever the context panel size for node context size changes

### Properties

-   `dimensions` **[object][37]** The dimensions of the node context panels

## matchesFound

The `matchesFound` event is fired whenever nodes are found via findNodes().

### Properties

-   `matches` **[object][37]** The matches object { total, visible }

## viewUpdated

The `viewUpdated` event is fired whenever the current displayed graph's view updates.

## constructor

Represents a Vizceral component.

### Parameters

-   `canvas` **[object][37]?** The canvas to render the graph onto; if not provided, will create a canvas accessible by this.renderer.domElement
-   `targetFramerate` **[Number][39]?** Target frame rate to render at. Will not limit FPS if not provided or set to 0.

## getStyles

Get an array of all possible defined styles

Returns **[array][38]** Array of all possible styles

## updateStyles

Update the global styles

### Parameters

-   `styles`  
-   `An` **[Object][37]** object map of style names to values

## updateDefinitions

Update the global definitions

### Parameters

-   `definitions`  
-   `An` **[Object][37]** object map of definitions. See the format and defaults in ([https://github.com/Netflix/Vizceral/wiki/Configuration#definitions-for-data-to-display][40])

## updateData

Set the new set of traffic data to render. This is expected to be called
with the complete set of traffic data anytime there is an update.

### Parameters

-   `trafficData`  
-   `data` **[object][37]** The traffic data that matches the format in ([https://github.com/Netflix/Vizceral/wiki/How-to-Use#graph-data-format][41])

## setHighlightedNode

Sets the highlighted node.  If the node is undefined, clears any highlighting.

### Parameters

-   `node` **[object][37]** The node to highlight

## setHighlightedConnection

Sets the highlighted connection.  If the connection is undefined, clears any highlighting.

### Parameters

-   `connection` **[object][37]** The connection to highlight

## findNodes

Highlight nodes that match searchString.  Searches the node name and the list
of sub nodes, if nodes have one.

### Parameters

-   `searchString` **[string][42]** The string to match against the nodes.

Returns **[object][37]** { total, totalMatches, visible, visibleMatches }

## setView

Set the current view of the component to the passed in array. If the passed
in array does not match an existing node at the passed in depth, the component will try
each level up the array until it finds a match, defaulting to the top level
view.

Ex:
\[] - show the base graph view
['us-east-1'] - show the graph view for 'us-east-1' if it exists
['us-east-1', 'api'] - show the view for the api node in the us-east-1 graph if it exists

### Parameters

-   `viewArray` **[array][38]** the array containing the view to set. (optional, default `[]`)
-   `objectNameToHighlight` **[string][42]** a node or connection to set as highlighted in the current viewArray

## setModes

Set the current modes of vizceral

### Parameters

-   `modes`  

## zoomOutViewLevel

If zoomed into a node or a service, zoom out one level up.
If in the global view, this is a noop.

## getNode

Get a specific node object

### Parameters

-   `viewArray` **[array][38]** e.g. [ node1, node2 ]

## setFilters

Set the set of filters to apply along with their current values.

### Parameters

-   `filters` **[object][37]** The filters that match the format in ([https://github.com/Netflix/Vizceral/wiki/Configuration#filters][43])

[1]: #copyright_notice

[2]: #objecthovered

[3]: #properties

[4]: #objecthighlighted

[5]: #properties-1

[6]: #viewchanged

[7]: #properties-2

[8]: #nodecontextsizechanged

[9]: #properties-3

[10]: #matchesfound

[11]: #properties-4

[12]: #viewupdated

[13]: #constructor

[14]: #parameters

[15]: #getstyles

[16]: #updatestyles

[17]: #parameters-1

[18]: #updatedefinitions

[19]: #parameters-2

[20]: #updatedata

[21]: #parameters-3

[22]: #sethighlightednode

[23]: #parameters-4

[24]: #sethighlightedconnection

[25]: #parameters-5

[26]: #findnodes

[27]: #parameters-6

[28]: #setview

[29]: #parameters-7

[30]: #setmodes

[31]: #parameters-8

[32]: #zoomoutviewlevel

[33]: #getnode

[34]: #parameters-9

[35]: #setfilters

[36]: #parameters-10

[37]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object

[38]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Array

[39]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number

[40]: https://github.com/Netflix/Vizceral/wiki/Configuration#definitions-for-data-to-display

[41]: https://github.com/Netflix/Vizceral/wiki/How-to-Use#graph-data-format

[42]: https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/String

[43]: https://github.com/Netflix/Vizceral/wiki/Configuration#filters
